Subject: Re: [PATCH v4 00/18] Installer support for (cross) installing the Hurd.

From: <[email-masked]>
Date: Mon, 11 Nov 2024 07:37:03 +0100

Mathieu Othacehe writes:

Hello,

> Janneke Nieuwenhuizen writes:
>> From: "Janneke Nieuwenhuizen" <[email-masked]>
>>
>> New in this series:
>>
>>   * reconfigure: Use native bootloader package for running the installer,
>>   * default to "msdos" partion table,
>>   * do not suggest/create boot partition,
>>   * remove "--skip-checks" from guix system init call,
>>   * default to part:1:device:wd0 instead of failing when no permission to read
>>     /dev (resurrecting tests/guix-system.sh),
>>
>> which lead to the first fresh install that actually boots without any extra
>> tinkering on my x60 using this
>>
>> ./pre-inst-env guix system image -t iso9660 --system=i686-linux gnu/system/install.scm
>>
>> installer.  I've updated the hurd-team branch.

> I remember resorting to a similar hack, back in 2018 when writing the
> installer. Maybe we should go the extra mile and integrate that one to a
> proper guix command, such as `guix system installer` that would call
> `run-installer` with dry-run set to #t. WDYT?

Yes, I still think this is a nice idea.  Better to open a new bug for
that when someone wants to write a patch?

Pushed to master as 035e5f0c743d80be3d4029f9daba90cb8b657782.

Thanks!
Janneke

-- 
Janneke Nieuwenhuizen <[email-masked]>  | GNU LilyPond https://LilyPond.org
Freelance IT https://www.JoyOfSource.com | Avatar® https://AvatarAcademy.com